SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Database)  >   PostgreSQL Vendors:   postgresql.org
PostgreSQL Bugs Let Remote Users Deny Service and May Let Remote Users Obtain Portions of Memory
SecurityTracker Alert ID:  1033775
SecurityTracker URL:  http://securitytracker.com/id/1033775
CVE Reference:   CVE-2015-5288, CVE-2015-5289   (Links to External Site)
Date:  Oct 8 2015
Impact:   Denial of service via network, Disclosure of system information, Disclosure of user information
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): prior to versions 9.0.23, 9.1.19, 9.2.14, 9.3.10, 9.4.5
Description:   Two vulnerabilities were reported in PostgreSQL. A remote user can potentially access portions of memory on the target system. A remote user can cause the target service to crash.

A user can supply specially crafted data to the optional pgCrypto extension's crypt() function to read portions of memory [CVE-2015-5288].

A remote user can supply specially crafted json or jsonb data to cause the target service to crash [CVE-2015-5289].

Josh Kupershmidt and Oskari Saarenmaa reported these vulnerabilities.

Impact:   A remote user can potentially access portions of memory on the target system.

A remote user can cause the target service to crash.

Solution:   The vendor has issued a fix (9.0.23, 9.1.19, 9.2.14, 9.3.10, 9.4.5).

The vendor's advisory is available at:

http://www.postgresql.org/about/news/1615/

Vendor URL:  www.postgresql.org/about/news/1615/ (Links to External Site)
Cause:   Access control error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Oct 16 2015 (Ubuntu Issues Fix) PostgreSQL Bugs Let Remote Users Deny Service and May Let Remote Users Obtain Portions of Memory
Ubuntu has issued a fix for Ubuntu Linux 12.04 LTS, 14.04 LTS, and 15.04.
Nov 18 2015 (Red Hat Issues Fix) PostgreSQL Bugs Let Remote Users Deny Service and May Let Remote Users Obtain Portions of Memory
Red Hat has issued a fix for Red Hat Enterprise Linux 6.
Nov 18 2015 (Red Hat Issues Fix) PostgreSQL Bugs Let Remote Users Deny Service and May Let Remote Users Obtain Portions of Memory
Red Hat has issued a fix for Red Hat Enterprise Linux 6, 6.5, 6.6, 6.7, 7, and 7.1.
Nov 18 2015 (Red Hat Issues Fix) PostgreSQL Bugs Let Remote Users Deny Service and May Let Remote Users Obtain Portions of Memory
Red Hat has issued a fix for postgresql94 for Red Hat Enterprise Linux 6, 6.5, 6.6, 6.7, 7, and 7.1.
Nov 18 2015 (CentOS Issues Fix) PostgreSQL Bugs Let Remote Users Deny Service and May Let Remote Users Obtain Portions of Memory
CentOS has issued a fix for CentOS Linux 6.
Nov 18 2015 (CentOS Issues Fix) PostgreSQL Bugs Let Remote Users Deny Service and May Let Remote Users Obtain Portions of Memory
CentOS has issued a fix for CentOS Linux 7.
Nov 19 2015 (Red Hat Issues Fix) PostgreSQL Bugs Let Remote Users Deny Service and May Let Remote Users Obtain Portions of Memory
Red Hat has issued a fix for Red Hat Enterprise Linux 7.
Jan 18 2017 (Juniper Issues Fix for Juniper NSM) PostgreSQL Bugs Let Remote Users Deny Service and May Let Remote Users Obtain Portions of Memory
Juniper has issued a fix for Juniper NSM3000, NSM4000, and NSMExpress.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC